using System;
using System.Collections.Generic;
using System.Text;

namespace FBPLib
{
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Struct, AllowMultiple = true)]
    public class InPort : Attribute
    {
        /* *
         * Copyright 2007, 2008, 2009, J. Paul Morrison.  At your option, you may copy, 
         * distribute, or make derivative works under the terms of the Clarified Artistic License, 
         * based on the Everything Development Company's Artistic License.  A document describing 
         * this License may be found at http://www.jpaulmorrison.com/fbp/artistic2.htm. 
         * THERE IS NO WARRANTY; USE THIS PRODUCT AT YOUR OWN RISK.
         * */
        public InPort(string name) { this.name = name; 
        }
       // public InPort(string name, string description)
        //{
        //    this.name = name; arrayPort = false;
        //    this.description = description; 
        //}
        public InPort(string name, string description, Type type)
        {
            this.name = name; 
            this.description = description; this.type = type;
        }
        public string name;
        public string description = "";
        public Type type = typeof(Object);
        public bool arrayPort = false;
        public bool used = false;   // only set if arrayPort

    }
}
