using System;
using System.Collections.Generic;
using System.Text;
using FBPLib;
using FBPComponents;

namespace TestNetworks.Networks
{
    /** This network is intended for timing runs */


    public class TimingTest : Network
    {

    /* *
           * Copyright 2007, 2008, J. Paul Morrison.  At your option, you may copy, 
           * distribute, or make derivative works under the terms of the Clarified Artistic License, 
           * based on the Everything Development Company's Artistic License.  A document describing 
           * this License may be found at http://www.jpaulmorrison.com/fbp/artistic2.htm. 
           * THERE IS NO WARRANTY; USE THIS PRODUCT AT YOUR OWN RISK.
           * */

        public override void Define() /* throws Throwable */ {
		Connect(Component("Generate", typeof(Generate)),
			Port("OUT"),
            Component("Discard", typeof(Discard)),
            Port("IN"), 100);
        
		Initialize("100000",
			Component("Generate"),
			Port("COUNT"));
		
	
		}
	internal static void main(String[] argv) {
		new VolumeTest().Go();
		}
}

}
